[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: upstart: please update to latest upstream version

On Thu, Feb 23, 2012 at 11:58, Goswin von Brederlow <goswin-v-b@web.de> wrote:
> Upstart also does not support Should-Start which makes it impossible
> to provide correct init scripts for a number of services. For example
> autofs will not work if it uses nis because nis is not started before
> autofs. Due to the lack of Should-Start the only way to get nis to
> start before autofs would require autofs to depends on nis.

Is it really impossible to implement correct behavior using Upstart?
Or is it just inconvenient to do so?

Addressing partly the above and partly my own request for a technical
comparison of Upstart and systemd, there is this:
--- but it doesn't go into much depth, isn't entirely unbiased and
doesn't actually name systemd.

Reply to: